Bug 119572 - Envelopes: Font for Addressee and Sender are reversed.
Summary: Envelopes: Font for Addressee and Sender are reversed.
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.1.0.3 release
Hardware: All All
: high major
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.2.0 target:6.1.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2018-08-28 20:00 UTC by nk2u@comcast.net
Modified: 2018-09-03 17:50 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description nk2u@comcast.net 2018-08-28 20:00:54 UTC
Description:
When you make an envelope and change the font, your font selection for the adressee is applied to the sender and vice versa.  This just happened in version 6.1.

Steps to Reproduce:
1. Select envelope.
2. Type in the addresses for the addressee and the senderl
3. Sender's font is applied to the addressee and vice versa

Actual Results:
1. Select envelope.
2. Type in the addresses for the addressee and the senderl
3. Sender's font is applied to the addressee and vice versa.

Expected Results:
Font for addressee is applied to the addressee.
Font for sender is applied to the sender.


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 Julien Nabet 2018-08-29 08:30:01 UTC
On pc Debian x86-64 with master sources updated yesterday, I could reproduce this.
Comment 2 Julien Nabet 2018-08-29 15:36:08 UTC
On Win7, I confirm I don't reproduce this with 6.0.6.2 but could reproduce this with 6.1.0.3
Comment 3 nk2u@comcast.net 2018-08-30 01:09:01 UTC
Yes, it is with 6.1.0.3 that this happens.
Comment 4 Xisco Faulí 2018-08-30 09:41:38 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=86b9824312d8de0fa85ec6bfd6cf2b78867ad936

author	Caolán McNamara <caolanm@redhat.com>	2018-04-25 20:27:33 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2018-04-27 17:07:57 +0200
commit	86b9824312d8de0fa85ec6bfd6cf2b78867ad936 (patch)
tree	524d2409c2555008c801e82e85f9e6441b5c3dd0
parent	a3cbd06872b2f9ee9253e5879f590ff1b9eaf365 (diff)
weld pages of the insert envelope dialog

Bisected with: bibisect-linux64-6.1

Adding Cc: to Caolán McNamara
Comment 5 Xisco Faulí 2018-08-30 09:43:21 UTC
Steps to reproduce:
1. Open Writer
2. Go to Insert - Envelope
3. Write something in Addressee and Sender
4. Go to Format tab
5. Edit Character style of Addressee
6. Insert Envelope

-> Changed Style is applied to Sender...
Comment 6 Commit Notification 2018-08-30 12:39:11 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1fd55c3a58ff171a39586fb0e5dd140e82718aed&h=libreoffice-6-1

Resolves: tdf#119572 addressee/sender formatting swapped

It will be available in 6.1.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2018-08-30 13:17:13 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=893f26ce157e47a1f4b3499c5f0d3db9e923e1be

Resolves: tdf#119572 addressee/sender formatting swapped

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2018-09-02 19:59:37 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-1-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ed3445d862731b57be21a88d8e46b02d055d819b&h=libreoffice-6-1-1

Resolves: tdf#119572 addressee/sender formatting swapped

It will be available in 6.1.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Xisco Faulí 2018-09-03 17:50:11 UTC
Verified in

Version: 6.2.0.0.alpha0+
Build ID: 4b5fcd417587cfb9e6d8b61ecb037ab165eeb5b9
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: threaded

@Caolán, Thanks for fixing this!!!